{
  "name": "RuoYi-Flex",
  "version": "4.1.7",
  "description": "RuoYi-Flex管理系统",
  "author": "数据小王子",
  "license": "MIT",
  "scripts": {
    "dev": "vite serve --mode development",
    "build:prod": "vite build --mode production &&vue-tsc --noEmit",
    "build:stage": "vite build --mode staging",
    "preview": "vite preview"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "keywords": [
    "vue",
    "admin",
    "dashboard",
    "element-ui",
    "boilerplate",
    "admin-template",
    "management-system"
  ],
  "repository": {
    "type": "git",
    "url": "https://gitee.com/dataprince/ruoyi-flex.git"
  },
  "dependencies": {
    "@element-plus/icons-vue": "2.0.10",
    "@vueup/vue-quill": "1.1.0",
    "@vueuse/core": "9.5.0",
    "@zeronejs/utils": "^1.4.0",
    "axios": "0.27.2",
    "echarts": "5.4.0",
    "element-plus": "2.2.27",
    "file-saver": "2.0.5",
    "fuse.js": "6.6.2",
    "js-cookie": "3.0.1",
    "jsencrypt": "3.3.1",
    "nprogress": "0.2.0",
    "vue": "3.2.45",
    "vue-cropper": "1.0.3",
    "vue-router": "4.1.4",
    "vuex": "4.0.2"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.5",
    "@types/js-cookie": "^3.0.2",
    "@types/node": "^18.7.15",
    "@types/nprogress": "^0.2.0",
    "@typescript-eslint/eslint-plugin": "^5.33.1",
    "@typescript-eslint/parser": "^5.33.1",
    "@vitejs/plugin-vue": "3.1.0",
    "@vue/compiler-sfc": "3.2.22",
    "autoprefixer": "^10.4.8",
    "eslint": "^8.22.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-vue": "^9.3.0",
    "fast-glob": "^3.3.1",
    "postcss": "^8.4.16",
    "sass": "1.56.1",
    "tailwindcss": "^3.1.8",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.1.0",
    "typescript": "^4.8.2",
    "unplugin-auto-import": "0.11.4",
    "unplugin-vue-components": "^0.22.4",
    "vite": "3.2.7",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-vue-setup-extend": "^0.4.0"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ]
}
